OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKBinL
BinMDF

# BinMDF_ADriver Class Reference

Attribute Storage/Retrieval Driver.
.

`#include <BinMDF_ADriver.hxx>`

Inheritance diagram for BinMDF_ADriver:

[legend]

## Public Member Functions
virtual Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const =0
| Creates a new attribute from TDF. .
const Handle_Standard_Type & | SourceType () const
| Returns the type of source object, inheriting from Attribute from TDF. .
const TCollection_AsciiString & | TypeName () const
| Returns the type name of the attribute object .
virtual Standard_EXPORT Standard_Boolean | Paste (const BinObjMgt_Persistent &aSource, const Handle(TDF_Attribute)&aTarget, BinObjMgt_RRelocationTable &aRelocTable) const =0
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
virtual Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&aSource, BinObjMgt_Persistent &aTarget, BinObjMgt_SRelocationTable &aRelocTable) const =0
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT void | WriteMessage (const TCollection_ExtendedString &theMessage) const
| Send message to Application (usually when error occurres) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
Standard_EXPORT | BinMDF_ADriver (const Handle(CDM_MessageDriver)&theMsgDriver, const Standard_CString theName=NULL)
## Protected Attributes
TCollection_AsciiString | myTypeName
## Private Attributes
Handle_CDM_MessageDriver | myMessageDriver

## Constructor & Destructor Documentation

Standard_EXPORT BinMDF_ADriver::BinMDF_ADriver | ( | const Handle(CDM_MessageDriver)& | theMsgDriver,
|  | const Standard_CString | theName = `NULL`
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const BinMDF_ADriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in BinMDataStd_AsciiStringDriver, BinMDataStd_AxisDriver, BinMDataStd_BooleanArrayDriver, BinMDataStd_BooleanListDriver, BinMDataStd_ByteArrayDriver, BinMDataStd_CommentDriver, BinMDataStd_ConstraintDriver, BinMDataStd_DirectoryDriver, BinMDataStd_ExpressionDriver, BinMDataStd_ExtStringArrayDriver, BinMDataStd_ExtStringListDriver, BinMDataStd_GeometryDriver, BinMDataStd_IntegerArrayDriver, BinMDataStd_IntegerDriver, BinMDataStd_IntegerListDriver, BinMDataStd_IntPackedMapDriver, BinMDataStd_NamedDataDriver, BinMDataStd_NameDriver, BinMDataStd_NoteBookDriver, BinMDataStd_PatternStdDriver, BinMDataStd_PlacementDriver, BinMDataStd_PlaneDriver, BinMDataStd_PointDriver, BinMDataStd_RealArrayDriver, BinMDataStd_RealDriver, BinMDataStd_RealListDriver, BinMDataStd_ReferenceArrayDriver, BinMDataStd_ReferenceListDriver, BinMDataStd_RelationDriver, BinMDataStd_ShapeDriver, BinMDataStd_TickDriver, BinMDataStd_TreeNodeDriver, BinMDataStd_UAttributeDriver, BinMDataStd_VariableDriver, BinMDF_ReferenceDriver, BinMDF_TagSourceDriver, BinMDocStd_XLinkDriver, BinMFunction_FunctionDriver, BinMFunction_GraphNodeDriver, BinMFunction_ScopeDriver, BinMNaming_NamedShapeDriver, BinMNaming_NamingDriver, BinMPrsStd_AISPresentationDriver, and BinMPrsStd_PositionDriver.

virtual Standard_EXPORT Handle_TDF_Attribute BinMDF_ADriver::NewEmpty | ( |  | ) | const`[pure virtual]`

| Implemented in BinMDataStd_AsciiStringDriver, BinMDataStd_AxisDriver, BinMDataStd_BooleanArrayDriver, BinMDataStd_BooleanListDriver, BinMDataStd_ByteArrayDriver, BinMDataStd_CommentDriver, BinMDataStd_ConstraintDriver, BinMDataStd_DirectoryDriver, BinMDataStd_ExpressionDriver, BinMDataStd_ExtStringArrayDriver, BinMDataStd_ExtStringListDriver, BinMDataStd_GeometryDriver, BinMDataStd_IntegerArrayDriver, BinMDataStd_IntegerDriver, BinMDataStd_IntegerListDriver, BinMDataStd_IntPackedMapDriver, BinMDataStd_NamedDataDriver, BinMDataStd_NameDriver, BinMDataStd_NoteBookDriver, BinMDataStd_PatternStdDriver, BinMDataStd_PlacementDriver, BinMDataStd_PlaneDriver, BinMDataStd_PointDriver, BinMDataStd_RealArrayDriver, BinMDataStd_RealDriver, BinMDataStd_RealListDriver, BinMDataStd_ReferenceArrayDriver, BinMDataStd_ReferenceListDriver, BinMDataStd_RelationDriver, BinMDataStd_ShapeDriver, BinMDataStd_TickDriver, BinMDataStd_TreeNodeDriver, BinMDataStd_UAttributeDriver, BinMDataStd_VariableDriver, BinMDF_ReferenceDriver, BinMDF_TagSourceDriver, BinMDocStd_XLinkDriver, BinMFunction_FunctionDriver, BinMFunction_GraphNodeDriver, BinMFunction_ScopeDriver, BinMNaming_NamedShapeDriver, BinMNaming_NamingDriver, BinMPrsStd_AISPresentationDriver, and BinMPrsStd_PositionDriver.

virtual Standard_EXPORT void BinMDF_ADriver::Paste | ( | const Handle(TDF_Attribute)& | aSource,
|  | BinObjMgt_Persistent & | aTarget,
|  | BinObjMgt_SRelocationTable & | aRelocTable
| ) | const`[pure virtual]`

| Implemented in BinMDataStd_AsciiStringDriver, BinMDataStd_AxisDriver, BinMDataStd_BooleanArrayDriver, BinMDataStd_BooleanListDriver, BinMDataStd_ByteArrayDriver, BinMDataStd_CommentDriver, BinMDataStd_ConstraintDriver, BinMDataStd_DirectoryDriver, BinMDataStd_ExpressionDriver, BinMDataStd_ExtStringArrayDriver, BinMDataStd_ExtStringListDriver, BinMDataStd_GeometryDriver, BinMDataStd_IntegerArrayDriver, BinMDataStd_IntegerDriver, BinMDataStd_IntegerListDriver, BinMDataStd_IntPackedMapDriver, BinMDataStd_NamedDataDriver, BinMDataStd_NameDriver, BinMDataStd_NoteBookDriver, BinMDataStd_PatternStdDriver, BinMDataStd_PlacementDriver, BinMDataStd_PlaneDriver, BinMDataStd_PointDriver, BinMDataStd_RealArrayDriver, BinMDataStd_RealDriver, BinMDataStd_RealListDriver, BinMDataStd_ReferenceArrayDriver, BinMDataStd_ReferenceListDriver, BinMDataStd_RelationDriver, BinMDataStd_ShapeDriver, BinMDataStd_TickDriver, BinMDataStd_TreeNodeDriver, BinMDataStd_UAttributeDriver, BinMDataStd_VariableDriver, BinMDF_ReferenceDriver, BinMDF_TagSourceDriver, BinMDocStd_XLinkDriver, BinMFunction_FunctionDriver, BinMFunction_GraphNodeDriver, BinMFunction_ScopeDriver, BinMNaming_NamedShapeDriver, BinMNaming_NamingDriver, BinMPrsStd_AISPresentationDriver, BinMPrsStd_PositionDriver, BinTObjDrivers_IntSparseArrayDriver, BinTObjDrivers_ModelDriver, BinTObjDrivers_ObjectDriver, BinTObjDrivers_ReferenceDriver, and BinTObjDrivers_XYZDriver.

virtual Standard_EXPORT Standard_Boolean BinMDF_ADriver::Paste | ( | const BinObjMgt_Persistent & | aSource,
|  | const Handle(TDF_Attribute)& | aTarget,
|  | BinObjMgt_RRelocationTable & | aRelocTable
| ) | const`[pure virtual]`

| Implemented in BinMDataStd_AsciiStringDriver, BinMDataStd_AxisDriver, BinMDataStd_BooleanArrayDriver, BinMDataStd_BooleanListDriver, BinMDataStd_ByteArrayDriver, BinMDataStd_CommentDriver, BinMDataStd_ConstraintDriver, BinMDataStd_DirectoryDriver, BinMDataStd_ExpressionDriver, BinMDataStd_ExtStringArrayDriver, BinMDataStd_ExtStringListDriver, BinMDataStd_GeometryDriver, BinMDataStd_IntegerArrayDriver, BinMDataStd_IntegerDriver, BinMDataStd_IntegerListDriver, BinMDataStd_IntPackedMapDriver, BinMDataStd_NamedDataDriver, BinMDataStd_NameDriver, BinMDataStd_NoteBookDriver, BinMDataStd_PatternStdDriver, BinMDataStd_PlacementDriver, BinMDataStd_PlaneDriver, BinMDataStd_PointDriver, BinMDataStd_RealArrayDriver, BinMDataStd_RealDriver, BinMDataStd_RealListDriver, BinMDataStd_ReferenceArrayDriver, BinMDataStd_ReferenceListDriver, BinMDataStd_RelationDriver, BinMDataStd_ShapeDriver, BinMDataStd_TickDriver, BinMDataStd_TreeNodeDriver, BinMDataStd_UAttributeDriver, BinMDataStd_VariableDriver, BinMDF_ReferenceDriver, BinMDF_TagSourceDriver, BinMDocStd_XLinkDriver, BinMFunction_FunctionDriver, BinMFunction_GraphNodeDriver, BinMFunction_ScopeDriver, BinMNaming_NamedShapeDriver, BinMNaming_NamingDriver, BinMPrsStd_AISPresentationDriver, BinMPrsStd_PositionDriver, BinTObjDrivers_IntSparseArrayDriver, BinTObjDrivers_ModelDriver, BinTObjDrivers_ObjectDriver, BinTObjDrivers_ReferenceDriver, and BinTObjDrivers_XYZDriver.

const Handle_Standard_Type& BinMDF_ADriver::SourceType | ( |  | ) | const

const TCollection_AsciiString & BinMDF_ADriver::TypeName | ( |  | ) | const`[inline]`

Standard_EXPORT void BinMDF_ADriver::WriteMessage | ( | const TCollection_ExtendedString & | theMessage | ) | const

## Field Documentation

Handle_CDM_MessageDriver BinMDF_ADriver::myMessageDriver`[private]`

TCollection_AsciiString BinMDF_ADriver::myTypeName`[protected]`

The documentation for this class was generated from the following files:

- BinMDF_ADriver.hxx
- BinMDF_ADriver.lxx